langcode: en
status: true
dependencies: {  }
id: upgrade_d7_url_alias
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7_geo
label: 'URL aliases'
source:
  plugin: d7_url_alias
  constants:
    slash: /
process:
  source:
    -
      plugin: concat
      source:
        - constants/slash
        - source
  alias:
    -
      plugin: skip_on_match
      source: alias
      method: row
      # Content that wasn't migrated so the alias won't be migrate either.
      value:
        - 'event/' # Content type Event
        - 'issue/' # This vocabulary wasn't migrated.
        - 'regular-contributors/' # Regular contributors
        - 'geo-volume-2/' # This vocabulary wasn't migrated.
        - 'geo-volume-3/' # This vocabulary wasn't migrated.
        - 'geo-volume-1/' # This vocabulary wasn't migrated.
        - 'ad-groups' # This vocabulary wasn't migrated.
    -
      plugin: concat
      source:
        - constants/slash
        - alias
  langcode:
    -
      plugin: get
      source: language
#  node_translation:
#    -
#      plugin: explode
#      source: source
#      delimiter: /
#    -
#      plugin: extract
#      default: INVALID_NID
#      index:
#        - 1
#    -
#      plugin: migration_lookup
#      migration: {  }
destination:
  plugin: url_alias
migration_dependencies:
  required: {  }
  optional: {  }
